import numpy as np
import matplotlib.pyplot as plt

# nr indeksu: 464848

fig = plt.figure(figsize=(10,10))

x = np.arange(-10.0, 10.0, 0.01)
y1 = (8 - 4) * x ** 2 - (4 - 5) * x + (8 - 6)
y2 = (np.e**x)/((np.e**x) + 1.0)

ax1 = fig.add_subplot(2, 1, 1)
ax1.set_xlabel("x")
ax1.set_ylabel("y")
ax1.set_title("Podpunkt A.")
ax1.plot(x, y1, color="#ff2d10", lw=2)

ax2 = fig.add_subplot(2, 1, 2)
ax2.set_xlabel("x")
ax2.set_ylabel("y")
ax2.set_title("Podpunkt B.")
ax2.plot(x, y1, color="#31ae10", lw=2)
ax2.plot(x, y2, color="purple", lw=2)

plt.subplots_adjust(wspace=0.2, hspace=0.3)

plt.show()




